# TSPVodeGetParameters

Extract "iopt" and "ropt" PVODE parameters

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeGetParameters(TS ts,int *opt_size,long int *iopt[],double *ropt[])

### Input Parameter

ts -the time-step context

### Output Parameters

| opt_size | - size of the parameter arrays (will be set to PVODE value OPT_SIZE)
| iopt | - the integer parameters
| ropt | - the double paramters

g Notes: You may pass PETSC_NULL for any value you do not desire

PETSc initializes these array with the default PVODE values of 0, you may change them before calling the TS solver.

See the PVODE include file cvode.h for the definitions of the fields

Suggested by: Timothy William Chevalier

### See Also

TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(),
TSPVodeSetLinearTolerance(), TSPVodeSetGramSchmidtType(), TSPVodeSetTolerance(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance()

Level:advanced
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages